#### Linux From Scratch - Version 12.0-rc1

### Chapter 8. Installing Basic System Software

- Prev

  Attr-2.5.1

- Next

  Libcap-2.69

- Up
- Home

# 8.23. Acl-2.3.1

The Acl package contains utilities to administer Access Control Lists, which are used to define fine-grained discretionary access rights for files and directories.

Approximate build time: less than 0.1 SBU
Required disk space: 6.1 MB

## 8.23.1. Installation of Acl

Prepare Acl for compilation:

    ./configure --prefix=/usr         \
                --disable-static      \
                --docdir=/usr/share/doc/acl-2.3.1

Compile the package:

    make

The Acl tests must be run on a filesystem that supports access controls, but not until the Coreutils package has been built, using the Acl libraries. If desired, return to this package and run make check after the Coreutils package has been built.

Install the package:

    make install

## 8.23.2. Contents of Acl

Installed programs: chacl, getfacl, and setfacl
Installed library: libacl.so
Installed directories: /usr/include/acl and /usr/share/doc/acl-2.3.1

### Short Descriptions

chacl | Changes the access control list of a file or directory
getfacl | Gets file access control lists
setfacl | Sets file access control lists
`libacl` | Contains the library functions for manipulating Access Control Lists

- Prev

  Attr-2.5.1

- Next

  Libcap-2.69

- Up
- Home